pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Global API elements for . Most of these are utility functions.
- Constructor
  2.12.0.0
  Default constructor
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  Pango.Direction `` a To be added a To be added
- Method
  2.12.0.0
  System.Void `` `` `` UTF-8 text return location for index of delimiter return location for start of next paragraph Locates a paragraph boundary in .

  A boundary is caused by delimiter characters, such as a newline, carriage return, carriage return-newline pair, or Unicode paragraph separator character. The index of the run of delimiters is returned in . The index of the start of the paragraph (index after all delimiters) is stored in .

  If no delimiters are found, both and are filled with the length of text (an index one off the end).
- Method
  2.12.0.0
  System.Void `` `` `` `` `` text to process embedding level, or -1 if unknown language tag array with one PangoLogAttr per character in text, plus one extra, to be filled in a Computes a for each character in . The array must have one for each position in text; if text contains N characters, it has N+1 positions, including the last position at the end of the text. text should be an entire paragraph; logical attributes cannot be computed without context (for example you need to see spaces on either side of a word to know the word is a word).
- Method
  2.12.0.0
  Pango.Gravity `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  Pango.Gravity `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Double `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` A character to measure. Measures a char to determine if it is zero width. if is zero width. Zero width characters are not normally rendered on-screen.
- Method
  2.12.0.0
  GLib.List `` `` `` `` `` `` `` a a a a a a a To be added a To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` a a a a a Parses a markup text string into text and a list of attributes. a
- Method
  2.12.0.0
  System.Boolean `` `` `` a to parse a to set up with the stretch value parsed out of the string a for whether to warn on bad input. Parses a string into a object. a for whether the string was successfully parsed. The allowed values are "ultra_condensed", "extra_condensed", "condensed", "semi_condensed", "normal", "semi_expanded", "expanded", "extra_expanded" and "ultra_expanded". Case variations are ignored and the '_' characters may be omitted.
- Method
  2.12.0.0
  System.Boolean `` `` `` a to parse a to set up with the style parsed out of the string. a for whether to warn on bad input. Parses a string into a object. a for whether the string was successfully parsed. The allowed values are "normal", "italic" and "oblique", case variations being ignored.
- Method
  2.12.0.0
  System.Boolean `` `` `` a to parse a to set up with the variant value parsed out of the string a for whether to warn on bad input. Parses a string into a object. a for whether the string was successfully parsed. The allowed values are "normal" and "smallcaps" or "small_caps", case variations being ignored.
- Method
  2.12.0.0
  System.Boolean `` `` `` a to parse a object to set up with the weight parsed out of the string a for whether to warn on bad input. Parses a string into a object. a for whether the string was successfully parsed. The allowed values are "heavy", "ultrabold", "bold", "normal", "light", "ultralight" and integers. Case variations are ignored.
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete
  System.Boolean `` `` a , a string to scan. a , an integer to put the result into. Scans a string looking for an integer. An integer consists of up to 31 decimal digits. a , false if a parse error occurred. To be added.
- Method
  2.12.0.0
  System.Boolean `` `` a a Scans a string looking for an integer. An integer consists of up to 31 decimal digits. a To be added
- Method
  2.12.0.0
  Pango.Script `` a Determines the script for a character the script for the character according to Unicode Technical Report 24 No check is made that is valid. If you pass in an invalid character, you will get back an invalid result.
- Method
  2.12.0.0
  Pango.Language `` a To be added a To be added
- Method
  2.12.0.0
  System.Boolean `` a Skips 0 or more characters of whitespace a , which is true if there are non-whitespace characters before the end of the string.
- Method
  2.12.0.0
  System.String `` a Splits a list of filename strings and normalizes their paths. a In the underlying C implementation, the string returned is intended as an argument to g_strfreev.
- Method
  2.12.0.0
  System.String `` a Trims leading and trailing whitespace from a string. a
- Method
  2.12.0.0
  Pango.Direction `` a Determines the direction of a character the direction of the character according to the Unicode bidi algorithm To be added
- Method
  2.12.0.0
  System.String `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.String To be added. To be added. To be added.